geronimo-scm mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From jdil...@apache.org
Subject svn commit: r420453 - /geronimo/sandbox/svkmerge/m2migration/pom.xml
Date Mon, 10 Jul 2006 07:21:50 GMT
Author: jdillon
Date: Mon Jul 10 00:21:47 2006
New Revision: 420453

URL: http://svn.apache.org/viewvc?rev=420453&view=rev
Log:
Drop version properties where the value was not used outside of this pom

Modified:
    geronimo/sandbox/svkmerge/m2migration/pom.xml

Modified: geronimo/sandbox/svkmerge/m2migration/pom.xml
URL: http://svn.apache.org/viewvc/geronimo/sandbox/svkmerge/m2migration/pom.xml?rev=420453&r1=420452&r2=420453&view=diff
==============================================================================
--- geronimo/sandbox/svkmerge/m2migration/pom.xml (original)
+++ geronimo/sandbox/svkmerge/m2migration/pom.xml Mon Jul 10 00:21:47 2006
@@ -47,7 +47,12 @@
     <properties>
         <genesis.version>1.0.0-SNAPSHOT</genesis.version>
         
-        <!-- FIXME: These properties are currently needed in child poms, so we need to
keep them around -->
+        <!--
+        
+        HACK: These properties are currently needed in child poms, so we need to keep them
around.
+              Usage of these properties should be removed whenever possible.
+        
+        -->
         
         <asn1Version>0.3.2</asn1Version>
         <apachedsVersion>0.9.2</apachedsVersion>
@@ -79,72 +84,6 @@
         <geronimoSpecQnameVersion>1.0.1</geronimoSpecQnameVersion>
         <geronimoSpecJ2eeDeploymentVersion>1.0.1</geronimoSpecJ2eeDeploymentVersion>
         <geronimoSpecJmsVersion>1.0.1</geronimoSpecJmsVersion>
-        
-        <!-- FIXME: Unroll these properties, they are only used with in this one file
-->
-        
-        <geronimoSpecActivationVersion>1.1</geronimoSpecActivationVersion>
-        <geronimoSpecCorbaVersion>1.0</geronimoSpecCorbaVersion>
-        <geronimoSpecEjbVersion>1.0.1</geronimoSpecEjbVersion>
-        <geronimoSpecJ2eeVersion>1.1</geronimoSpecJ2eeVersion>
-        <geronimoSpecJ2eeConnectorVersion>1.0.1</geronimoSpecJ2eeConnectorVersion>
-        <geronimoSpecJ2eeJaccVersion>1.0.1</geronimoSpecJ2eeJaccVersion>
-        <geronimoSpecJ2eeManagementVersion>1.0.1</geronimoSpecJ2eeManagementVersion>
-        <geronimoSpecJavamailVersion>1.1</geronimoSpecJavamailVersion>
-        <geronimoSpecJaxrVersion>1.0.1</geronimoSpecJaxrVersion>
-        <geronimoSpecJaxrpcVersion>1.0.1</geronimoSpecJaxrpcVersion>
-        <geronimoSpecJspVersion>1.0.1</geronimoSpecJspVersion>
-        <geronimoSpecJtaVersion>1.0.1</geronimoSpecJtaVersion>
-        <geronimoSpecSaajVersion>1.0.1</geronimoSpecSaajVersion>
-        <geronimoSpecServletVersion>1.0.1</geronimoSpecServletVersion>
-        <activeIoVersion>2.0-r118</activeIoVersion>
-        <antlrVersion>2.7.2</antlrVersion>
-        <asmVersion>1.4.3</asmVersion>
-        <axisVersion>1.4</axisVersion>
-        <castorVersion>0.9.5.3</castorVersion>
-        <commonsBeanutilsVersion>1.6.1</commonsBeanutilsVersion>
-        <commonsCliVersion>1.0</commonsCliVersion>
-        <commonsCollectionsVersion>3.1</commonsCollectionsVersion>
-        <commonsDigesterVersion>1.6</commonsDigesterVersion>
-        <commonsDiscoveryVersion>0.2</commonsDiscoveryVersion>
-        <commonsElVersion>1.0</commonsElVersion>
-        <commonsFileuploadVersion>1.1-dev</commonsFileuploadVersion>
-        <commonsHttpclientVersion>2.0.1</commonsHttpclientVersion>
-        <commonsIoVersion>1.1</commonsIoVersion>
-        <commonsJxpathVersion>1.1</commonsJxpathVersion>
-        <commonsLangVersion>2.0</commonsLangVersion>
-        <commonsModelerVersion>20060524</commonsModelerVersion>
-        <commonsPoolVersion>1.2</commonsPoolVersion>
-        <commonsPrimitivesVersion>20041207.202534</commonsPrimitivesVersion>
-        <concurrentVersion>1.3.4</concurrentVersion>
-        <dom4jVersion>1.4</dom4jVersion>
-        <dwrVersion>1.1.1</dwrVersion>
-        <eclipseCompilerVersion>3.0.1</eclipseCompilerVersion>
-        <howlVersion>1.0.1-1</howlVersion>
-        <hsqldbVersion>1.7.2.2</hsqldbVersion>
-        <jasperVersion>5.5.15</jasperVersion>
-        <javaccVersion>2.1</javaccVersion>
-        <jdbmVersion>0.20-dev</jdbmVersion>
-        <jdomVersion>1.0</jdomVersion>
-        <jstlVersion>1.1.1</jstlVersion>
-        <juddiVersion>0.9rc4</juddiVersion>
-        <junitVersion>3.8.1</junitVersion>
-        <mockobjectsVersion>0.09</mockobjectsVersion>
-        <oroVersion>2.0.8</oroVersion>
-        <p2psocketsVersion>1.1.2</p2psocketsVersion>
-        <portletApiVersion>1.0</portletApiVersion>
-        <regexpVersion>1.3</regexpVersion>
-        <scoutVersion>0.5</scoutVersion>
-        <standardTaglibsVersion>1.1.1</standardTaglibsVersion>
-        <staxApiVersion>1.0</staxApiVersion>
-        <velocityVersion>1.4</velocityVersion>
-        <wadiActiveClusterVersion>1.2-20051115174934</wadiActiveClusterVersion>
-        <wadiSpringVersion>1.5.2</wadiSpringVersion>
-        <wsdl4jVersion>1.5.2</wsdl4jVersion>
-        <xfireVersion>20050202</xfireVersion>
-        <xmlbeansVersion>2.0.0</xmlbeansVersion>
-        <xmlpullVersion>1.1.3.4d_b4_min</xmlpullVersion>
-        <xmlResolverVersion>1.1</xmlResolverVersion>
-        
     </properties>
     
     <dependencyManagement>
@@ -155,32 +94,32 @@
             <dependency>
                 <groupId>org.apache.geronimo.specs</groupId>
                 <artifactId>geronimo-activation_1.0.2_spec</artifactId>
-                <version>${geronimoSpecActivationVersion}</version>
+                <version>1.1</version>
             </dependency>
             
             <!-- FIXME: Need to use the correct gid/aid for this dependency -->
             <dependency>
                 <groupId>geronimo-spec</groupId>
                 <artifactId>geronimo-spec-corba</artifactId>
-                <version>${geronimoSpecCorbaVersion}</version>
+                <version>1.0</version>
             </dependency>
             
             <dependency>
                 <groupId>org.apache.geronimo.specs</groupId>
                 <artifactId>geronimo-ejb_2.1_spec</artifactId>
-                <version>${geronimoSpecEjbVersion}</version>
+                <version>1.0.1</version>
             </dependency>
             
             <dependency>
                 <groupId>org.apache.geronimo.specs</groupId>
                 <artifactId>geronimo-j2ee_1.4_spec</artifactId>
-                <version>${geronimoSpecJ2eeVersion}</version>
+                <version>1.1</version>
             </dependency>
             
             <dependency>
                 <groupId>org.apache.geronimo.specs</groupId>
                 <artifactId>geronimo-j2ee-connector_1.5_spec</artifactId>
-                <version>${geronimoSpecJ2eeConnectorVersion}</version>
+                <version>1.0.1</version>
             </dependency>
             
             <dependency>
@@ -192,37 +131,37 @@
             <dependency>
                 <groupId>org.apache.geronimo.specs</groupId>
                 <artifactId>geronimo-j2ee-jacc_1.0_spec</artifactId>
-                <version>${geronimoSpecJ2eeJaccVersion}</version>
+                <version>1.0.1</version>
             </dependency>
             
             <dependency>
                 <groupId>org.apache.geronimo.specs</groupId>
                 <artifactId>geronimo-j2ee-management_1.0_spec</artifactId>
-                <version>${geronimoSpecJ2eeManagementVersion}</version>
+                <version>1.0.1</version>
             </dependency>
             
             <dependency>
                 <groupId>org.apache.geronimo.specs</groupId>
                 <artifactId>geronimo-javamail_1.3.1_spec</artifactId>
-                <version>${geronimoSpecJavamailVersion}</version>
+                <version>1.1</version>
             </dependency>
             
             <dependency>
                 <groupId>org.apache.geronimo.specs</groupId>
                 <artifactId>geronimo-jaxr_1.0_spec</artifactId>
-                <version>${geronimoSpecJaxrVersion}</version>
+                <version>1.0.1</version>
             </dependency>
             
             <dependency>
                 <groupId>org.apache.geronimo.specs</groupId>
                 <artifactId>geronimo-jaxrpc_1.1_spec</artifactId>
-                <version>${geronimoSpecJaxrpcVersion}</version>
+                <version>1.0.1</version>
             </dependency>
             
             <dependency>
                 <groupId>org.apache.geronimo.specs</groupId>
                 <artifactId>geronimo-jsp_2.0_spec</artifactId>
-                <version>${geronimoSpecJspVersion}</version>
+                <version>1.0.1</version>
             </dependency>
             
             <dependency>
@@ -234,7 +173,7 @@
             <dependency>
                 <groupId>org.apache.geronimo.specs</groupId>
                 <artifactId>geronimo-jta_1.0.1B_spec</artifactId>
-                <version>${geronimoSpecJtaVersion}</version>
+                <version>1.0.1</version>
             </dependency>
             
             <dependency>
@@ -246,13 +185,13 @@
             <dependency>
                 <groupId>org.apache.geronimo.specs</groupId>
                 <artifactId>geronimo-saaj_1.1_spec</artifactId>
-                <version>${geronimoSpecSaajVersion}</version>
+                <version>1.0.1</version>
             </dependency>
             
             <dependency>
                 <groupId>org.apache.geronimo.specs</groupId>
                 <artifactId>geronimo-servlet_2.4_spec</artifactId>
-                <version>${geronimoSpecServletVersion}</version>
+                <version>1.0.1</version>
             </dependency>
             
             <!-- External dependency versions -->
@@ -260,31 +199,25 @@
             <dependency>
                 <groupId>axis</groupId>
                 <artifactId>axis</artifactId>
-                <version>${axisVersion}</version>
+                <version>1.4</version>
             </dependency>
             
             <dependency>
                 <groupId>activeio</groupId>
                 <artifactId>activeio</artifactId>
-                <version>${activeIoVersion}</version>
+                <version>2.0-r118</version>
             </dependency>
             
             <dependency>
                 <groupId>asm</groupId>
                 <artifactId>asm</artifactId>
-                <version>${asmVersion}</version>
-            </dependency>
-            
-            <dependency>
-                <groupId>backport-util-concurrent</groupId>
-                <artifactId>backport-util-concurrent</artifactId>
-                <version>${backportUtilConcurrentVersion}</version>
+                <version>1.4.3</version>
             </dependency>
             
             <dependency>
                 <groupId>castor</groupId>
                 <artifactId>castor</artifactId>
-                <version>${castorVersion}</version>
+                <version>0.9.5.3</version>
             </dependency>
             
             <dependency>
@@ -296,7 +229,7 @@
             <dependency>
                 <groupId>commons-io</groupId>
                 <artifactId>commons-io</artifactId>
-                <version>${commonsIoVersion}</version>
+                <version>1.1</version>
             </dependency>
             
             <dependency>
@@ -308,7 +241,7 @@
             <dependency>
                 <groupId>concurrent</groupId>
                 <artifactId>concurrent</artifactId>
-                <version>${concurrentVersion}</version>
+                <version>1.3.4</version>
             </dependency>
             
             <dependency>
@@ -322,13 +255,13 @@
             <dependency>
                 <groupId>hsqldb</groupId>
                 <artifactId>hsqldb</artifactId>
-                <version>${hsqldbVersion}</version>
+                <version>1.7.2.2</version>
             </dependency>
             
             <dependency>
                 <groupId>jdom</groupId>
                 <artifactId>jdom</artifactId>
-                <version>${jdomVersion}</version>
+                <version>1.0</version>
             </dependency>
             
             <dependency>
@@ -352,13 +285,13 @@
             <dependency>
                 <groupId>mockobjects</groupId>
                 <artifactId>mockobjects-jdk1.4-j2ee1.3</artifactId>
-                <version>${mockobjectsVersion}</version>
+                <version>0.09</version>
             </dependency>
             
             <dependency>
                 <groupId>mockobjects</groupId>
                 <artifactId>mockobjects-core</artifactId>
-                <version>${mockobjectsVersion}</version>
+                <version>0.09</version>
             </dependency>
             
             <dependency>
@@ -376,19 +309,19 @@
             <dependency>
                 <groupId>regexp</groupId>
                 <artifactId>regexp</artifactId>
-                <version>${regexpVersion}</version>
+                <version>1.3</version>
             </dependency>
             
             <dependency>
                 <groupId>scout</groupId>
                 <artifactId>scout</artifactId>
-                <version>${scoutVersion}</version>
+                <version>0.5</version>
             </dependency>
             
             <dependency>
                 <groupId>stax</groupId>
                 <artifactId>stax-api</artifactId>
-                <version>${staxApiVersion}</version>
+                <version>1.0</version>
                 <exclusions>
                     <exclusion>
                         <groupId>xmlbeans</groupId>
@@ -406,7 +339,7 @@
             <dependency>
                 <groupId>wsdl4j</groupId>
                 <artifactId>wsdl4j</artifactId>
-                <version>${wsdl4jVersion}</version>
+                <version>1.5.2</version>
             </dependency>
             
             <dependency>
@@ -424,25 +357,25 @@
             <dependency>
                 <groupId>xfire</groupId>
                 <artifactId>xfire</artifactId>
-                <version>${xfireVersion}</version>
+                <version>20050202</version>
             </dependency>
             
             <dependency>
                 <groupId>xfire</groupId>
                 <artifactId>xfire-java</artifactId>
-                <version>${xfireVersion}</version>
+                <version>20050202</version>
             </dependency>
             
             <dependency>
                 <groupId>xmlbeans</groupId>
                 <artifactId>xbean</artifactId>
-                <version>${xmlbeansVersion}</version>
+                <version>2.0.0</version>
             </dependency>
             
             <dependency>
                 <groupId>xml-resolver</groupId>
                 <artifactId>xml-resolver</artifactId>
-                <version>${xmlResolverVersion}</version>
+                <version>1.1</version>
             </dependency>
             
             <dependency>
@@ -460,7 +393,7 @@
             <dependency>
                 <groupId>junit</groupId>
                 <artifactId>junit</artifactId>
-                <version>${junitVersion}</version>
+                <version>3.8.1</version>
             </dependency>
             
             <dependency>
@@ -504,49 +437,49 @@
             <dependency>
                 <groupId>jdbm</groupId>
                 <artifactId>jdbm</artifactId>
-                <version>${jdbmVersion}</version>
+                <version>0.20-dev</version>
             </dependency>
             
             <dependency>
                 <groupId>oro</groupId>
                 <artifactId>oro</artifactId>
-                <version>${oroVersion}</version>
+                <version>2.0.8</version>
             </dependency>
             
             <dependency>
                 <groupId>antlr</groupId>
                 <artifactId>antlr</artifactId>
-                <version>${antlrVersion}</version>
+                <version>2.7.2</version>
             </dependency>
             
             <dependency>
                 <groupId>commons-discovery</groupId>
                 <artifactId>commons-discovery</artifactId>
-                <version>${commonsDiscoveryVersion}</version>
+                <version>0.2</version>
             </dependency>
             
             <dependency>
                 <groupId>commons-collections</groupId>
                 <artifactId>commons-collections</artifactId>
-                <version>${commonsCollectionsVersion}</version>
+                <version>3.1</version>
             </dependency>
             
             <dependency>
                 <groupId>commons-primitives</groupId>
                 <artifactId>commons-primitives</artifactId>
-                <version>${commonsPrimitivesVersion}</version>
+                <version>20041207.202534</version>
             </dependency>
             
             <dependency>
                 <groupId>commons-lang</groupId>
                 <artifactId>commons-lang</artifactId>
-                <version>${commonsLangVersion}</version>
+                <version>2.0</version>
             </dependency>
             
             <dependency>
                 <groupId>commons-el</groupId>
                 <artifactId>commons-el</artifactId>
-                <version>${commonsElVersion}</version>
+                <version>1.0</version>
                 <exclusions>
                     <!-- Exclude commons-logging (uses 1.3) -->
                     <!--
@@ -568,31 +501,31 @@
             <dependency>
                 <groupId>commons-digester</groupId>
                 <artifactId>commons-digester</artifactId>
-                <version>${commonsDigesterVersion}</version>
+                <version>1.6</version>
             </dependency>
             
             <dependency>
                 <groupId>commons-modeler</groupId>
                 <artifactId>commons-modeler</artifactId>
-                <version>${commonsModelerVersion}</version>
+                <version>20060524</version>
             </dependency>
             
             <dependency>
                 <groupId>commons-beanutils</groupId>
                 <artifactId>commons-beanutils</artifactId>
-                <version>${commonsBeanutilsVersion}</version>
+                <version>1.6.1</version>
             </dependency>
             
             <dependency>
                 <groupId>commons-cli</groupId>
                 <artifactId>commons-cli</artifactId>
-                <version>${commonsCliVersion}</version>
+                <version>1.0</version>
             </dependency>
             
             <dependency>
                 <groupId>commons-fileupload</groupId>
                 <artifactId>commons-fileupload</artifactId>
-                <version>${commonsFileuploadVersion}</version>
+                <version>1.1-dev</version>
             </dependency>
             
             <dependency>
@@ -604,25 +537,25 @@
             <dependency>
                 <groupId>portlet-api</groupId>
                 <artifactId>portlet-api</artifactId>
-                <version>${portletApiVersion}</version>
+                <version>1.0</version>
             </dependency>
             
             <dependency>
                 <groupId>taglibs</groupId>
                 <artifactId>standard</artifactId>
-                <version>${standardTaglibsVersion}</version>
+                <version>1.1.1</version>
             </dependency>
             
             <dependency>
                 <groupId>javax.servlet</groupId>
                 <artifactId>jstl</artifactId>
-                <version>${jstlVersion}</version>
+                <version>1.1.1</version>
             </dependency>
             
             <dependency>
                 <groupId>dwr</groupId>
                 <artifactId>dwr</artifactId>
-                <version>${dwrVersion}</version>
+                <version>1.1.1</version>
             </dependency>
             
             <dependency>
@@ -653,7 +586,7 @@
             <dependency>
                 <groupId>juddi</groupId>
                 <artifactId>juddi</artifactId>
-                <version>${juddiVersion}</version>
+                <version>0.9rc4</version>
             </dependency>
             
         </dependencies>



Mime
View raw message